aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained/roundcubemail/roundcubemail.post-install
diff options
context:
space:
mode:
Diffstat (limited to 'unmaintained/roundcubemail/roundcubemail.post-install')
-rw-r--r--unmaintained/roundcubemail/roundcubemail.post-install40
1 files changed, 40 insertions, 0 deletions
diff --git a/unmaintained/roundcubemail/roundcubemail.post-install b/unmaintained/roundcubemail/roundcubemail.post-install
new file mode 100644
index 0000000000..e5da23494d
--- /dev/null
+++ b/unmaintained/roundcubemail/roundcubemail.post-install
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+keyfile='/etc/roundcube/session_key'
+
+if ! [ -e "$keyfile" ]; then
+ echo '* Generating random session key' >&2
+
+ { head /dev/urandom | tr -dc A-Za-z0-9 | head -c 24 && echo ''; } > "$keyfile"
+ chmod 440 "$keyfile"
+ chgrp roundcube "$keyfile"
+fi
+
+if [ "${0##*.}" = 'post-upgrade' ]; then
+ ver_new="$1"
+ ver_old="$2"
+
+ cat >&2 <<-EOF
+ *
+ * Please read /usr/share/doc/roundcube/UPGRADE
+ * in roundcubemail-doc package for schema or config update
+ *
+ EOF
+
+ if [ "$(apk version -t "$ver_old" '1.3.6-r1')" = '<' ]; then
+ cat >&2 <<-EOF
+ *
+ * If you run Roundcube with web server's privileges, e.g. using Apache2
+ * mod_php (which is highly not recommended due to security reasons!), you
+ * have to change config permissions (or add user apache to group roundcube):
+ *
+ * chgrp www-data /etc/roundcube/*
+ *
+ * Roundcube plugins managesieve and zipdownload has been moved into
+ * subpackages. If you use them, install roundcubemail-<plugin> using apk
+ * (e.g. apk add roundcubemail-zipdownload).
+ *
+ EOF
+ fi
+fi
+exit 0